Index: trunk/src/org/openstreetmap/josm/plugins/Plugin.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/Plugin.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/Plugin.java	(revision 8510)
@@ -121,5 +121,5 @@
             }
             byte[] buffer = new byte[8192];
-            for(int len = in.read(buffer); len > 0; len = in.read(buffer)) {
+            for (int len = in.read(buffer); len > 0; len = in.read(buffer)) {
                 out.write(buffer, 0, len);
             }
Index: trunk/src/org/openstreetmap/josm/plugins/PluginDownloadTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/PluginDownloadTask.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/PluginDownloadTask.java	(revision 8510)
@@ -71,5 +71,5 @@
      */
     public PluginDownloadTask(ProgressMonitor monitor, Collection<PluginInformation> toUpdate, String title) {
-        super(title, monitor == null? NullProgressMonitor.INSTANCE: monitor, false /* don't ignore exceptions */);
+        super(title, monitor == null ? NullProgressMonitor.INSTANCE : monitor, false /* don't ignore exceptions */);
         CheckParameterUtil.ensureParameterNotNull(toUpdate, "toUpdate");
         this.toUpdate.addAll(toUpdate);
@@ -91,5 +91,5 @@
     protected void cancel() {
         this.canceled = true;
-        synchronized(this) {
+        synchronized (this) {
             if (downloadConnection != null) {
                 downloadConnection.disconnect();
@@ -101,5 +101,5 @@
     protected void finish() {}
 
-    protected void download(PluginInformation pi, File file) throws PluginDownloadException{
+    protected void download(PluginInformation pi, File file) throws PluginDownloadException {
         if (pi.mainversion > Version.getInstance().getVersion()) {
             ExtendedDialog dialog = new ExtendedDialog(
@@ -124,5 +124,5 @@
             }
             URL url = new URL(pi.downloadlink);
-            synchronized(this) {
+            synchronized (this) {
                 downloadConnection = CachedFile.connectFollowingRedirect(url, PLUGIN_MIME_TYPES, null);
             }
@@ -146,5 +146,5 @@
             throw new PluginDownloadException(e);
         } finally {
-            synchronized(this) {
+            synchronized (this) {
                 downloadConnection = null;
             }
@@ -168,5 +168,5 @@
             try {
                 download(d, pluginFile);
-            } catch(PluginDownloadException e) {
+            } catch (PluginDownloadException e) {
                 Main.error(e);
                 failed.add(d);
Index: trunk/src/org/openstreetmap/josm/plugins/PluginHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/PluginHandler.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/PluginHandler.java	(revision 8510)
@@ -100,9 +100,9 @@
             new DeprecatedPlugin("tways-0.2", IN_CORE),
             new DeprecatedPlugin("geotagged", IN_CORE),
-            new DeprecatedPlugin("landsat", tr("replaced by new {0} plugin","lakewalker")),
+            new DeprecatedPlugin("landsat", tr("replaced by new {0} plugin", "lakewalker")),
             new DeprecatedPlugin("namefinder", IN_CORE),
             new DeprecatedPlugin("waypoints", IN_CORE),
             new DeprecatedPlugin("slippy_map_chooser", IN_CORE),
-            new DeprecatedPlugin("tcx-support", tr("replaced by new {0} plugin","dataimport")),
+            new DeprecatedPlugin("tcx-support", tr("replaced by new {0} plugin", "dataimport")),
             new DeprecatedPlugin("usertools", IN_CORE),
             new DeprecatedPlugin("AgPifoJ", IN_CORE),
@@ -117,7 +117,7 @@
             new DeprecatedPlugin("wmsplugin", IN_CORE),
             new DeprecatedPlugin("ParallelWay", IN_CORE),
-            new DeprecatedPlugin("dumbutils", tr("replaced by new {0} plugin","utilsplugin2")),
+            new DeprecatedPlugin("dumbutils", tr("replaced by new {0} plugin", "utilsplugin2")),
             new DeprecatedPlugin("ImproveWayAccuracy", IN_CORE),
-            new DeprecatedPlugin("Curves", tr("replaced by new {0} plugin","utilsplugin2")),
+            new DeprecatedPlugin("Curves", tr("replaced by new {0} plugin", "utilsplugin2")),
             new DeprecatedPlugin("epsg31287", tr("replaced by new {0} plugin", "proj4j")),
             new DeprecatedPlugin("licensechange", tr("no longer required")),
@@ -241,5 +241,4 @@
      */
     private static final List<ClassLoader> sources = new LinkedList<>();
-
     static {
         try {
@@ -321,5 +320,5 @@
                     + "<br>This plugin is no longer developed and very likely will produce errors."
                     +"<br>It should be disabled.<br>Delete from preferences?</html>", unmaintained);
-            if (confirmDisablePlugin(parent, msg,unmaintained)) {
+            if (confirmDisablePlugin(parent, msg, unmaintained)) {
                 Main.pref.removeFromCollection("plugins", unmaintained);
                 plugins.remove(unmaintained);
@@ -818,8 +817,8 @@
             try {
                 future.get();
-            } catch(ExecutionException e) {
+            } catch (ExecutionException e) {
                 Main.error(e);
                 return null;
-            } catch(InterruptedException e) {
+            } catch (InterruptedException e) {
                 Main.warn("InterruptedException in "+PluginHandler.class.getSimpleName()+" while loading locally available plugin information");
                 return null;
@@ -879,5 +878,5 @@
             monitor.subTask(tr("Removing unmaintained plugins..."));
             filterUnmaintainedPlugins(parent, plugins);
-            Map<String, PluginInformation> infos = loadLocallyAvailablePluginInformation(monitor.createSubTaskMonitor(1,false));
+            Map<String, PluginInformation> infos = loadLocallyAvailablePluginInformation(monitor.createSubTaskMonitor(1, false));
             List<PluginInformation> ret = new LinkedList<>();
             for (Iterator<String> it = plugins.iterator(); it.hasNext();) {
@@ -1042,5 +1041,5 @@
                 //
                 pluginDownloadTask = new PluginDownloadTask(
-                        monitor.createSubTaskMonitor(1,false),
+                        monitor.createSubTaskMonitor(1, false),
                         pluginsToDownload,
                         tr("Update plugins")
@@ -1050,9 +1049,9 @@
                 try {
                     future.get();
-                } catch(ExecutionException e) {
+                } catch (ExecutionException e) {
                     Main.error(e);
                     alertFailedPluginUpdate(parent, pluginsToUpdate);
                     return plugins;
-                } catch(InterruptedException e) {
+                } catch (InterruptedException e) {
                     Main.warn("InterruptedException in "+PluginHandler.class.getSimpleName()+" while updating plugins");
                     alertFailedPluginUpdate(parent, pluginsToUpdate);
@@ -1174,5 +1173,6 @@
             if (plugin.exists() && !plugin.delete() && dowarn) {
                 Main.warn(tr("Failed to delete outdated plugin ''{0}''.", plugin.toString()));
-                Main.warn(tr("Failed to install already downloaded plugin ''{0}''. Skipping installation. JOSM is still going to load the old plugin version.",
+                Main.warn(tr("Failed to install already downloaded plugin ''{0}''. " +
+                        "Skipping installation. JOSM is still going to load the old plugin version.",
                         pluginName));
                 continue;
@@ -1192,5 +1192,6 @@
                 Main.warn(tr("Failed to install plugin ''{0}'' from temporary download file ''{1}''. Renaming failed.",
                         plugin.toString(), updatedPlugin.toString()));
-                Main.warn(tr("Failed to install already downloaded plugin ''{0}''. Skipping installation. JOSM is still going to load the old plugin version.",
+                Main.warn(tr("Failed to install already downloaded plugin ''{0}''. " +
+                        "Skipping installation. JOSM is still going to load the old plugin version.",
                         pluginName));
             }
@@ -1250,5 +1251,5 @@
             try {
                 pi.updateFromJar(new PluginInformation(downloadedPluginFile, pi.name));
-            } catch(PluginException e) {
+            } catch (PluginException e) {
                 Main.error(e);
             }
@@ -1273,5 +1274,5 @@
                         tr("Keep plugin"),
                         ImageProvider.get("cancel"),
-                        tr("Click to keep the plugin ''{0}''",plugin.getPluginInformation().name),
+                        tr("Click to keep the plugin ''{0}''", plugin.getPluginInformation().name),
                         null /* no specific help context */
                 )
@@ -1358,5 +1359,5 @@
 
         Set<String> plugins = new HashSet<>(
-                Main.pref.getCollection("plugins",Collections.<String>emptySet())
+                Main.pref.getCollection("plugins", Collections.<String>emptySet())
         );
         final PluginInformation pluginInfo = plugin.getPluginInformation();
@@ -1473,5 +1474,5 @@
             gc.weightx = 1.0;
             gc.weighty = 1.0;
-            gc.insets = new Insets(5,5,5,5);
+            gc.insets = new Insets(5, 5, 5, 5);
             add(lblMessage = new JMultilineLabel(""), gc);
             lblMessage.setFont(lblMessage.getFont().deriveFont(Font.PLAIN));
Index: trunk/src/org/openstreetmap/josm/plugins/PluginInformation.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/PluginInformation.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/PluginInformation.java	(revision 8510)
@@ -97,5 +97,5 @@
      * @throws PluginException if reading the manifest fails
      */
-    public PluginInformation(File file) throws PluginException{
+    public PluginInformation(File file) throws PluginException {
         this(file, file.getName().substring(0, file.getName().length()-4));
     }
@@ -143,5 +143,5 @@
             Manifest manifest = new Manifest();
             manifest.read(manifestStream);
-            if(url != null) {
+            if (url != null) {
                 downloadlink = url;
             }
@@ -238,5 +238,5 @@
             try {
                 mainversion = Integer.parseInt(s);
-            } catch(NumberFormatException e) {
+            } catch (NumberFormatException e) {
                 Main.warn(tr("Invalid plugin main version ''{0}'' in plugin {1}", s, name));
             }
@@ -259,19 +259,19 @@
             for (Map.Entry<Object, Object> entry : attr.entrySet()) {
                 try {
-                    String key = ((Attributes.Name)entry.getKey()).toString();
+                    String key = ((Attributes.Name) entry.getKey()).toString();
                     if (key.endsWith("_Plugin-Url")) {
-                        int mv = Integer.parseInt(key.substring(0,key.length()-11));
+                        int mv = Integer.parseInt(key.substring(0, key.length()-11));
                         if (mv <= myv && (mv > mainversion || mainversion > myv)) {
-                            String v = (String)entry.getValue();
+                            String v = (String) entry.getValue();
                             int i = v.indexOf(';');
                             if (i > 0) {
                                 downloadlink = v.substring(i+1);
                                 mainversion = mv;
-                                version = v.substring(0,i);
+                                version = v.substring(0, i);
                                 oldmode = true;
                             }
                         }
                     }
-                } catch(Exception e) {
+                } catch (Exception e) {
                     Main.error(e);
                 }
@@ -333,5 +333,5 @@
             Object plugin = c.newInstance(this);
             return new PluginProxy(plugin, this);
-        } catch(NoSuchMethodException | IllegalAccessException | InstantiationException | InvocationTargetException e) {
+        } catch (NoSuchMethodException | IllegalAccessException | InstantiationException | InvocationTargetException e) {
             throw new PluginException(name, e);
         }
@@ -436,5 +436,5 @@
     public boolean isUpdateRequired(String referenceVersion) {
         if (this.downloadlink == null) return false;
-        if (this.version == null && referenceVersion!= null)
+        if (this.version == null && referenceVersion != null)
             return true;
         if (this.version != null && !this.version.equals(referenceVersion))
Index: trunk/src/org/openstreetmap/josm/plugins/PluginListParser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/PluginListParser.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/PluginListParser.java	(revision 8510)
@@ -34,5 +34,5 @@
      * @throws PluginListParseException if plugin manifest cannot be parsed
      */
-    protected static PluginInformation createInfo(String name, String url, String manifest) throws PluginListParseException{
+    protected static PluginInformation createInfo(String name, String url, String manifest) throws PluginListParseException {
         try {
             return new PluginInformation(
@@ -57,5 +57,5 @@
      * @throws PluginListParseException if something goes wrong while parsing
      */
-    public List<PluginInformation> parse(InputStream in) throws PluginListParseException{
+    public List<PluginInformation> parse(InputStream in) throws PluginListParseException {
         List<PluginInformation> ret = new LinkedList<>();
         BufferedReader r = null;
@@ -77,5 +77,5 @@
                 addPluginInformation(ret, name, url, manifest.toString());
                 String[] x = line.split(";");
-                if(x.length != 2)
+                if (x.length != 2)
                     throw new IOException(tr("Illegal entry in plugin list."));
                 name = x[0];
Index: trunk/src/org/openstreetmap/josm/plugins/PluginProxy.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/PluginProxy.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/PluginProxy.java	(revision 8510)
@@ -38,5 +38,5 @@
     @Override public PreferenceSetting getPreferenceSetting() {
         try {
-            return (PreferenceSetting)plugin.getClass().getMethod("getPreferenceSetting").invoke(plugin);
+            return (PreferenceSetting) plugin.getClass().getMethod("getPreferenceSetting").invoke(plugin);
         } catch (NoSuchMethodException e) {
             Main.debug("Plugin "+plugin+" does not define getPreferenceSetting");
Index: trunk/src/org/openstreetmap/josm/plugins/ReadLocalPluginInformationTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/ReadLocalPluginInformationTask.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/ReadLocalPluginInformationTask.java	(revision 8510)
@@ -47,5 +47,5 @@
 
     public ReadLocalPluginInformationTask(ProgressMonitor monitor) {
-        super(tr("Reading local plugin information.."),monitor, false);
+        super(tr("Reading local plugin information.."), monitor, false);
         availablePlugins = new HashMap<>();
     }
@@ -59,5 +59,5 @@
     protected void finish() {}
 
-    protected void processJarFile(File f, String pluginName) throws PluginException{
+    protected void processJarFile(File f, String pluginName) throws PluginException {
         PluginInformation info = new PluginInformation(
                 f,
@@ -95,5 +95,5 @@
             try {
                 processLocalPluginInformationFile(f);
-            } catch(PluginListParseException e) {
+            } catch (PluginListParseException e) {
                 Main.warn(tr("Failed to scan file ''{0}'' for plugin information. Skipping.", fname));
                 Main.error(e);
@@ -127,5 +127,5 @@
                     processJarFile(f, pluginName);
                 }
-            } catch (PluginException e){
+            } catch (PluginException e) {
                 Main.warn("PluginException: "+e.getMessage());
                 Main.warn(tr("Failed to scan file ''{0}'' for plugin information. Skipping.", fname));
@@ -147,5 +147,5 @@
     }
 
-    protected void processLocalPluginInformationFile(File file) throws PluginListParseException{
+    protected void processLocalPluginInformationFile(File file) throws PluginListParseException {
         try (FileInputStream fin = new FileInputStream(file)) {
             List<PluginInformation> pis = new PluginListParser().parse(fin);
@@ -157,5 +157,5 @@
                 availablePlugins.put(pi.name, pi);
             }
-        } catch(IOException e) {
+        } catch (IOException e) {
             throw new PluginListParseException(e);
         }
@@ -165,5 +165,5 @@
         for (PluginProxy proxy : PluginHandler.pluginList) {
             PluginInformation info = proxy.getPluginInformation();
-            if (canceled)return;
+            if (canceled) return;
             if (!availablePlugins.containsKey(info.name)) {
                 availablePlugins.put(info.name, info);
@@ -176,5 +176,5 @@
     protected void filterOldPlugins() {
         for (PluginHandler.DeprecatedPlugin p : PluginHandler.DEPRECATED_PLUGINS) {
-            if (canceled)return;
+            if (canceled) return;
             if (availablePlugins.containsKey(p.name)) {
                 availablePlugins.remove(p.name);
@@ -194,9 +194,9 @@
             );
             getProgressMonitor().worked(1);
-            if (canceled)return;
+            if (canceled) return;
         }
         analyseInProcessPlugins();
         getProgressMonitor().worked(1);
-        if (canceled)return;
+        if (canceled) return;
         filterOldPlugins();
         getProgressMonitor().worked(1);
Index: trunk/src/org/openstreetmap/josm/plugins/ReadRemotePluginInformationTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/plugins/ReadRemotePluginInformationTask.java	(revision 8509)
+++ trunk/src/org/openstreetmap/josm/plugins/ReadRemotePluginInformationTask.java	(revision 8510)
@@ -84,5 +84,5 @@
      */
     public ReadRemotePluginInformationTask(ProgressMonitor monitor, Collection<String> sites, boolean displayErrMsg) {
-        super(tr("Download plugin list..."), monitor == null ? NullProgressMonitor.INSTANCE: monitor, false /* don't ignore exceptions */);
+        super(tr("Download plugin list..."), monitor == null ? NullProgressMonitor.INSTANCE : monitor, false /* don't ignore exceptions */);
         init(sites, displayErrMsg);
     }
@@ -91,5 +91,5 @@
     protected void cancel() {
         canceled = true;
-        synchronized(this) {
+        synchronized (this) {
             if (connection != null) {
                 connection.disconnect();
@@ -120,5 +120,5 @@
             }
             String path = url.getPath();
-            for (int i =0;i<path.length(); i++) {
+            for (int i = 0; i < path.length(); i++) {
                 char c = path.charAt(i);
                 if (Character.isLetterOrDigit(c)) {
@@ -130,5 +130,5 @@
             sb.append(".txt");
             name = sb.toString();
-        } catch(MalformedURLException e) {
+        } catch (MalformedURLException e) {
             name = "site-unknown.txt";
         }
@@ -158,5 +158,5 @@
 
             URL url = new URL(site);
-            synchronized(this) {
+            synchronized (this) {
                 connection = Utils.openHttpConnection(url);
                 connection.setRequestProperty("Cache-Control", "no-cache");
@@ -181,5 +181,5 @@
             return null;
         } finally {
-            synchronized(this) {
+            synchronized (this) {
                 if (connection != null) {
                     connection.disconnect();
@@ -264,5 +264,5 @@
             writer.write(list);
             writer.flush();
-        } catch(IOException e) {
+        } catch (IOException e) {
             // just failed to write the cache file. No big deal, but log the exception anyway
             Main.error(e);
@@ -328,5 +328,5 @@
                     }
             );
-            if(f != null && f.length > 0) {
+            if (f != null && f.length > 0) {
                 siteCacheFiles.addAll(Arrays.asList(f));
             }
